/*  GNU Pascal Interface to SDLGfx.
    Copyright (C) 2005 by Eike Lange (eike.lange@uni-essen.de)
    
    This unit is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This unit is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this unit; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Eike Lange, eike.lange@uni-essen.de
    http://www.gnu-pascal.de/~contrib/eike/

    This unit was implemented using version 2.0.13 of libSDL_gfx. 
    Color Values MUST be of 16#RRGGBBAA, AA* means Anti Aliased
    Some header files and/or routines were not supported:
      Missing:
        SDL_gfxPrimitives_font.h (not for us)
        SDL_imageFilter.h (I have no experiences with this)
        SDL_rotozoom.h
*/

#include <SDL/SDL.h>
#include <SDL/SDL_gfxPrimitives.h>
#include <SDL/SDL_framerate.h>
#include <SDL/SDL_rotozoom.h>

/* from SDL_framerate.h */
const int _p_FPS_UPPER_LIMIT = FPS_UPPER_LIMIT;
const int _p_FPS_LOWER_LIMIT = FPS_LOWER_LIMIT;
const int _p_FPS_DEFAULT = FPS_DEFAULT;

/* from SDL_gfxPrimitives.h */
const int _p_SDL_GFXPRIMITIVES_MAJOR = SDL_GFXPRIMITIVES_MAJOR;
const int _p_SDL_GFXPRIMITIVES_MINOR = SDL_GFXPRIMITIVES_MINOR;
const int _p_SDL_GFXPRIMITIVES_MICRO = SDL_GFXPRIMITIVES_MICRO;

/* from  */
const int _p_SMOOTHING_OFF = SMOOTHING_OFF;
const int _p_SMOOTHING_ON = SMOOTHING_ON;

